Skip to content

Get official fx rates ​

GET
/v1/admin/officialfxrates

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
officialfxrate_id
Type
string
currency
Type
string
year
Type
integer
month
Type
integer
fx_rate
Type
number

Responses​

OK

application/json
JSON
{
  
"officialfxrates": [
  
  
{
  
  
  
"currency": "GBP",
  
  
  
"month": 0,
  
  
  
"year": 0,
  
  
  
"fx_rate": 1.18,
  
  
  
"officialfxrate_id": "string",
  
  
  
"created": "string",
  
  
  
"updated": "string",
  
  
  
"deleted": null
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​